OGRE: Ogre::GpuProgramParameters::AutoConstantEntry Class Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::GpuProgramParameters::AutoConstantEntry Class Reference

Structure recording the use of an automatic parameter. More...

`#include <OgreGpuProgramParams.h>`

## Public Member Functions
| AutoConstantEntry (AutoConstantType theType, size_t theIndex, float theData, uint16 theVariability, uint8 theElemCount=4)
| AutoConstantEntry (AutoConstantType theType, size_t theIndex, uint32 theData, uint16 theVariability, uint8 theElemCount=4)

## Public Attributes
union { |
uint32 data |
float fData |
}; |
| Additional information to go with the parameter.
uint8 | elementCount
| The number of elements per individual entry in this constant Used in case people used packed elements smaller than 4 (e.g.
AutoConstantType | paramType
| The type of parameter.
size_t | physicalIndex
| The target (physical) constant index.
uint16 | variability
| The variability of this parameter (see GpuParamVariability).

## Detailed Description

Structure recording the use of an automatic parameter.

## Constructor & Destructor Documentation

## ◆ AutoConstantEntry() [1/2]

Ogre::GpuProgramParameters::AutoConstantEntry::AutoConstantEntry | ( | AutoConstantType | theType,
|  | size_t | theIndex,
|  | uint32 | theData,
|  | uint16 | theVariability,
|  | uint8 | theElemCount = 4 )
| inline

References data, elementCount, paramType, physicalIndex, and variability.

## ◆ AutoConstantEntry() [2/2]

Ogre::GpuProgramParameters::AutoConstantEntry::AutoConstantEntry | ( | AutoConstantType | theType,
|  | size_t | theIndex,
|  | float | theData,
|  | uint16 | theVariability,
|  | uint8 | theElemCount = 4 )
| inline

References elementCount, fData, paramType, physicalIndex, and variability.

## Member Data Documentation

## ◆ physicalIndex

size_t Ogre::GpuProgramParameters::AutoConstantEntry::physicalIndex

The target (physical) constant index.

Referenced by AutoConstantEntry(), and AutoConstantEntry().

## ◆ paramType

AutoConstantType Ogre::GpuProgramParameters::AutoConstantEntry::paramType

The type of parameter.

Referenced by AutoConstantEntry(), and AutoConstantEntry().

## ◆ data

uint32 Ogre::GpuProgramParameters::AutoConstantEntry::data

Referenced by AutoConstantEntry().

## ◆ fData

float Ogre::GpuProgramParameters::AutoConstantEntry::fData

Referenced by AutoConstantEntry().

## ◆ [union]

union { ... } Ogre::GpuProgramParameters::AutoConstantEntry

Additional information to go with the parameter.

## ◆ variability

uint16 Ogre::GpuProgramParameters::AutoConstantEntry::variability

The variability of this parameter (see GpuParamVariability).

Referenced by AutoConstantEntry(), and AutoConstantEntry().

## ◆ elementCount

uint8 Ogre::GpuProgramParameters::AutoConstantEntry::elementCount

The number of elements per individual entry in this constant Used in case people used packed elements smaller than 4 (e.g.

GLSL) and bind an auto which is 4-element packed to it

Referenced by AutoConstantEntry(), and AutoConstantEntry().

The documentation for this class was generated from the following file:

- OgreGpuProgramParams.h